import type { HTMLAttributes } from "react";
export interface CardActionsProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * The alignment to use for the card actions. This is really just a simple
     * pass through to the `justify-content` flex property.
     */
    align?: "start" | "end" | "center";
}
/**
 * This component is generally used to hold the main actions for the `Card`.
 * It's a good place to add additional buttons or expansion toggles.
 */
export declare const CardActions: import("react").ForwardRefExoticComponent<CardActionsProps & import("react").RefAttributes<HTMLDivElement>>;
