import type { HTMLAttributes } from "react";
export interface CardSubtitleProps extends HTMLAttributes<HTMLHeadingElement> {
    /**
     * Boolean if the title should not be able to line-wrap and will ellipsis long
     * text.
     */
    noWrap?: boolean;
    /**
     * Boolean if the subtitle should no longer use the secondary text color
     * within cards.
     */
    disableSecondaryColor?: boolean;
}
/**
 * A subtitle for the `Card`. This is usually used with the `CardHeader`
 * component after the `CardTitle`.
 */
export declare const CardSubtitle: import("react").ForwardRefExoticComponent<CardSubtitleProps & import("react").RefAttributes<HTMLHeadingElement>>;
